OUT_DIR := build
OUT_BIN := $(OUT_DIR)/qsort

$(OUT_BIN): qsort.c
	mkdir -p $(OUT_DIR)
	gcc -pthread qsort.c -o $(OUT_BIN)

.PHONY: run
run: $(OUT_BIN)
	./$(OUT_BIN)

.PHONY: clean
clean:
	rm -rf $(OUT_DIR)